%define srcvers	2.3.0
%define apivers 2

%define name %{?_name:%{_name}}%{!?_name:Coin2}

%define libopenal_SONAME libopenal.so.0
%define libsimage_SONAME libsimage.so.20
%define libfreetype_SONAME libfreetype.so.6

Summary: A high-level 3D visualization library.
Name: %{name}
Version: %{srcvers}
Epoch: 0
Release: 0.fdr.4.2

License: GPL
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: ftp://ftp.coin3d.org/pub/coin/src/Coin-%{version}.tar.gz

Patch0: coin-2.3.0-simage-soname.diff
Patch1: coin-2.3.0-openal-soname.diff
Patch2: coin-2.3.0-freetype-soname.diff

BuildRequires: libGL.so.1 libGLU.so.1 XFree86-devel
BuildRequires: zlib-devel bzip2-devel
BuildRequires: doxygen
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Coin is a 3D graphics library with an Application Programming Interface
based on the Open Inventor 2.1 API.

%package devel
Summary: Development files for Coin
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: XFree86-devel zlib-devel bzip2-devel
Group: Development/Libraries

%description devel
Development package for Coin

%prep
%setup -q -n Coin-%{version}
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig

sed -e 's,@LIBFREETYPE_SONAME@,"%{libfreetype_SONAME}",' \
< src/glue/freetype.c > src/glue/freetype.c~
mv src/glue/freetype.c~ src/glue/freetype.c
sed -e 's,@LIBSIMAGE_SONAME@,"%{libsimage_SONAME}",' \
< src/glue/simage_wrapper.c > src/glue/simage_wrapper.c~
mv src/glue/simage_wrapper.c~ src/glue/simage_wrapper.c
sed -e 's,@LIBOPENAL_SONAME@,"%{libopenal_SONAME}",' \
< src/glue/openal_wrapper.c > src/glue/openal_wrapper.c~
mv src/glue/openal_wrapper.c~ src/glue/openal_wrapper.c


%build
%configure \
	--includedir=%{_includedir}/Coin%{apivers} \
	--disable-dependency-tracking \
        --enable-static \
	--disable-dl-libbzip2 \
	--disable-dl-glu \
	--disable-dl-zlib \
	--enable-man \
	--enable-html \
	--enable-3ds-import
make %{?_smp_mflags}

%install
   rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
   rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING README* LICENSE* THANKS FAQ*
%{_libdir}/libCoin.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/Coin%{apivers}
%{_libdir}/libCoin.*a
%{_libdir}/libCoin.so
%{_datadir}/aclocal/coin.m4
%dir %{_datadir}/Coin
%{_datadir}/Coin/conf
%{_datadir}/Coin/draggerDefaults
%{_mandir}/man?/*
%doc %{_datadir}/Coin/html

%changelog
* Sun Jul 4  2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-0.fdr.4
- Let Coin-devel Require: bzip2-devel, zlib-devel.
- Use @XX@ patterns in soname sed calls.
- Remove Mesa from BuildRequires.

* Sat Jul 3  2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-0.fdr.3
- Disable run-time linkage for GLU, bzip2, zlib.
- Add SONAME-hacks to simage, openal, freetype.
- Enable static libs.

* Fri Jun 25 2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-0.fdr.2
- Fix package description.
- Initial submission to Fedora Extra.

* Thu Jun 24 2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-0.fdr.1
- Update to 2.3.0
- Install html docs to default installation dir (%{_datadir}/html).
- Remove dependency to simage.
